Create a model access policy
curl --request POST \
--url https://{host}/api/llm-gateway/admin/model-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scope_type": "<string>",
"targets": [
{
"kind": "model_alias",
"alias": "gpt-4o-mini"
}
],
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>",
"traffic_type": "llm"
}
'import requests
url = "https://{host}/api/llm-gateway/admin/model-access"
payload = {
"name": "<string>",
"scope_type": "<string>",
"targets": [
{
"kind": "model_alias",
"alias": "gpt-4o-mini"
}
],
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>",
"traffic_type": "llm"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scope_type: '<string>',
targets: [{kind: 'model_alias', alias: 'gpt-4o-mini'}],
scope_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scope_value: '<string>',
traffic_type: 'llm'
})
};
fetch('https://{host}/api/llm-gateway/admin/model-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"targets": [
{
"kind": "model_alias",
"alias": "gpt-4o-mini"
}
],
"enabled": true,
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>"
}{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}LLM Gateway: Model Access
Create a model access policy
Either an allowlist (only listed targets are permitted) or a denylist (listed targets are blocked). Targets can specify a model alias, an upstream model, a provider, or a (provider, model) combination.
POST
/
admin
/
model-access
Create a model access policy
Authorizations
JWT obtained through Barndoor's authentication flow. Pass the token
verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's
loginInteractive() helper to obtain a token in scripts and notebooks.
Body
application/json
Available options:
allowlist, denylist Minimum array length:
1- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Available options:
llm, all Response
The newly created policy
Available options:
org, team, user, project, api_key, mcp_server, agent, role, group Available options:
allowlist, denylist - Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Available options:
llm, all ⌘I